curl --request GET \
--url https://api.synctera.com/v2/external_accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/external_accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/external_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_accounts": [
{
"account_identifiers": {
"number": "78277121",
"iban": "LI4476584648937N59B00"
},
"account_owner_names": [
"Jane Smith"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"routing_identifiers": {
"bank_countries": [
"US"
],
"bank_name": "Chase",
"ach_routing_number": "756392185",
"bank_address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"correspondent_bank_details": [
{
"bank_address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"bank_name": "Bank of Greece",
"swift_code": "BNGRGRAAXXX"
}
],
"eft_ca_routing_number": "02101140",
"eft_routing_number": "02101140",
"network": "ALGORAND",
"swift_code": "CHASUS3AXXX",
"wire_routing_number": "756392185"
},
"status": "ACTIVE",
"type": "CHECKING",
"verification": {
"status": "VERIFIED",
"vendor": "PLAID",
"creation_time": "2010-05-06T12:23:34.321Z",
"last_updated_time": "2010-05-06T12:23:34.321Z"
},
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"deletion_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"name": "Plaid Checking",
"nickname": "Vacation savings",
"status_reason": "<string>",
"tenant": "abcdef_ghijkl",
"vendor_data": {
"account_number_mask": "<string>",
"institution_id": "<string>"
},
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List external accounts
Returns a list of all external accounts assigned to customers.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A list of customer unique identifiers, with a comma separating any values.
The unique identifier of a customer
A list of business unique identifiers, with a comma separating any values.
The unique identifier of a business
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
If true, include old risk scores in the response
External account ID(s). Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
A user-meaningful name for the account.
Was this page helpful?

